Loading...
Searching...
No Matches
QoreDeserializationContext Class Reference

deserialization context object used in builtin deserializer methods More...

`#include <common.h>`

## Public Member Functions

DLLLOCAL QoreObject * | deserializeObject (const char *index, ExceptionSink *xsink)
| returns the object corresponding to the given object serialization index, throws a Qore-language exception if there is an error deserializing the object
DLLLOCAL QoreValue | deserializeValue (const QoreValue val, ExceptionSink *xsink)
| deserializes the given data value and returns the deserialized value, throws a Qore-language exception if there is an error deserializing the object

## Detailed Description

deserialization context object used in builtin deserializer methods

Since
  Qore 0.9

The documentation for this class was generated from the following file:

- include/qore/common.h